#
# Dumping data for table 'instrument'
#
DELETE FROM instrument WHERE ins_id LIKE 'ISAAC%'\g 
INSERT INTO instrument VALUES ('ISAAC','UT1','','')\g
INSERT INTO instrument VALUES ('ISAACSWI1','UT1','SWI1','lightpath1')\g
INSERT INTO instrument VALUES ('ISAACLWI1','UT1','LWI1','lightpath2')\g
INSERT INTO instrument VALUES ('ISAACLWI2','UT1','LWI2','lightpath2')\g
INSERT INTO instrument VALUES ('ISAACSWS1-LR','UT1','SWS1-LR','lightpath2')\g
INSERT INTO instrument VALUES ('ISAACSWS1-MR','UT1','SWS1-MR','lightpath2')\g
INSERT INTO instrument VALUES ('ISAACLWS1-LR','UT1','LWS1-LR','lightpath2')\g
INSERT INTO instrument VALUES ('ISAACLWS1-MR','UT1','LWS1-MR','lightpath2')\g
INSERT INTO instrument VALUES ('ISAACLWS2-LR','UT1','LWS2-LR','lightpath2')\g
INSERT INTO instrument VALUES ('ISAACLWS2-MR','UT1','LWS2-MR','lightpath2')\g
INSERT INTO instrument VALUES ('ISAACSWP1','UT1','SWP1','lightpath2')\g
INSERT INTO instrument VALUES ('ISAACSW-DARK','UT1','SW-DARK','lightpath2')\g

#
# insert instrument component table
#
DELETE FROM component WHERE comp_id = 'ISAAC'\g
INSERT INTO component VALUES ('ISAAC',NULL,NULL,'Isaac','INS','ins/isaac','1900-01-01T00:00:00','inf','C','INST')\g

#
# insert actual isaac components
#
DELETE FROM real_component WHERE ins_id = 'ISAAC'\g
INSERT INTO real_component VALUES ('ISAAC','ISAAC','Isaac','INS')\g
INSERT INTO real_component VALUES ('ISAACCCD1','ISAAC','CCD#1','CCD')\g
INSERT INTO real_component VALUES ('ISAACCCD2','ISAAC','CCD#2','CCD')\g
INSERT INTO real_component VALUES ('ISAACIR1','ISAAC','IR#1','IR_DET')\g
INSERT INTO real_component VALUES ('ISAACIR2','ISAAC','IR#2','IR_DET')\g
INSERT INTO real_component VALUES ('ISAACFILT1','ISAAC','FILT#1','IR_DET')\g
