package org.eso.ohs.core.dbb.client;

import javax.swing.JTextField;

import org.eso.ohs.core.dbb.sql.DbbSqlChunk;
import org.eso.ohs.core.gui.models.ExecTimeModel;

public class DbbExecTimeTextField extends DbbTextField {


  /** Create a DbbTextField object.
   * 
   * @param labeltext	Label text to be displayed.
   * @param chunk	DbbSqlChunk object
   *  */
  public DbbExecTimeTextField(String labeltext, 
			     DbbSqlChunk chunk) {

    super(labeltext, chunk);
    JTextField tf = (JTextField)widget_;
    tf.setDocument(new ExecTimeModel());
  }

}
