package org.eso.ohs.core.dbb.client;

import javax.swing.JTextField;

import org.eso.ohs.core.dbb.sql.DbbSqlChunk;
import org.eso.ohs.core.docview.datatrans.FloatAdaptor;
import org.eso.ohs.core.gui.models.FliModel;

public class DbbFliTextField extends DbbTextField {


  /** Create a DbbTextField object.
   * 
   * @param labeltext	Label text to be displayed.
   * @param chunk	DbbSqlChunk object
   *  */
  public DbbFliTextField(String labeltext, 
			 DbbSqlChunk chunk) {

    super(labeltext, chunk);
    JTextField tf = (JTextField)widget_;
    tf.setDocument(new FliModel());
  }

  /** 
   * Get the widget value.
   *
   * @return The currently displayed string value. 
   */
  public String get() {

    String text = ((JTextField)widget_).getText();

    if(text.equals(""))
      return text;

    FloatAdaptor oa = new FloatAdaptor(); 
    
    Object obj = oa.toMetaLevelObject(text);                                       
    return obj.toString();
  }
}

