package org.eso.ohs.core.gui.models;

/**
 * A Document model to only permit the input of a single integer.
 * 
 * <p>
 * $Id: NaturalNumModel.java,v 1.1 2004/02/17 10:35:21 tcanavan Exp $
 */

public class NaturalNumModel extends InputMaskModel {  
    private final static String legalValuesPattern_ = 
      "\\d*";

    /**
     * Constructor for the model.
     */
    public NaturalNumModel() {
	super(legalValuesPattern_);
    }

}




