/**
 * @version $Id: OHSGlobalVariables.java,v 1.2 2004/11/15 08:30:58 ddorigo Exp $
 */

package org.eso.ohs.core.utilities;

public class OHSGlobalVariables {

 
    /**
     * Constant for a revolting backwards compatibility kludge.
     * This is "needed" because P2PP v1.x (Tcl/Tk) got it wrong
     * and wrote out the RA in degrees (0..360) and not hours (0..23).
     * I'm not sure why we still need it even though the database
     * format has completely changed since that time but...
     * 
     * <p>
     * XXX Should be removed at earliest opportunity.
     */
    public static final int DEGREES_PER_HOUR = 360 / 24;
    
    /**
     * Defines the default font size, used in OHSApplication and in DbbTable
     */
    public static final int DEF_FONT_SIZE = 12;
}
