package org.eso.ohs.dfs;

/**
 * The copy and paste situation likes to have a separate object to 
 * copy and paste rather than an array of objects
 * 
 * @author tcanavan
 *
 */
public class TIS {


    private TimeInterval[] tis_;


    /**
     * Copy constructor
     * @param tis
     */

    public TIS(TimeInterval[] tis) {        
        tis_ = new TimeInterval[tis.length];
        for (int i = 0; i < tis.length; i++) {
            tis_[i] = new TimeInterval(tis[i]);
        }
    }
    
    /**
     * Get the individual time intervals
     * @return TimeInterval[]
     */

    public TimeInterval [] getTIs() {
        return tis_;
    }

    public void setTIs(TimeInterval[] tis) {
        this.tis_ = tis;
    }

}
