package org.eso.ohs.instruments;

/*
 * 
 * Class AttribComparison
 * This class is used to compare attributes between readme files
 *
 * TODO Javadoc
 *
 * @version $Revision: 1.5 $
 * @author tcanavan, Nov 17, 2004
 */

// $Id: AttribComparison.java,v 1.5 2005/01/12 09:33:29 tcanavan Exp $
 

public class AttribComparison {
    
    
    public static final String ATTRIB_ADDED = "A";
    
    public static final String ATTRIB_CHANGED = "E";
    
    public static final String ATTRIB_DISCARDED = "D";
    
    
    private String label;

    
    private String oldValue;
    
    private String newValue;
    
    private String type;
    
    private String name;
    
    private String status;  
    
    
    /**
     * Get name of attribute.
     * @return The name of the attribute
     */
    public String getName() {
        return name;
    }

    /**
     * Get the new value of the attribute.
     * @return New value of the attribute.
     */
    public String getNewValue() {
        return newValue;
    }

    /**
     * Get old value of the attribute.
     * @return Old Value of the attribute.
     */ 
    public String getOldValue() {
        return oldValue;
    }

    /**
     * Set the name of the attribute.
     * @param string
     */
    public void setName(String string) {
        name = string;
    }

    /**
     * Set the new value of the attribute.
     * @param string
     */
    public void setNewValue(String string) {
        newValue = string;
    }

    /**
     * Set the old value of the attribute
     * @param string
     */
    public void setOldValue(String string) {
        oldValue = string;
    }

    /**
     * The DB Type
     * @return the db type that is a code in the database.
     */
    public String getDBType() {
        return type;
    }

    /**
     * @param string
     */
    public void setDBType(String string) {
        type = string;
    }

    /**
     * @return Returns the status.
     */
    public String getStatus() {
        return status;
    }
    /**
     * @param status The status to set.
     */
    public void setStatus(String status) {
        this.status = status;
    }
    /**
     * Return the label to be displayed.
     * @return The label to be displayed.
     */
    public String getLabel() {
        return label;
    }

    /**
     * @param string
     */
    public void setLabel(String string) {
        label = string;
    }

}
