package org.eso.ohs.persistence;

import java.util.EventListener;

/**
 * Interface implemented by listeners on object selection events
 * <p>
 * $Id: ObjectSelectionListener.java,v 1.1 2005/02/11 09:51:57 tcanavan Exp $
 * <br>
 * @version $Revision: 1.1 $
 * @author Bob Kemp
 */
public interface ObjectSelectionListener extends EventListener {

    /**
     * New selection event handler
     *
     * @param ev    Event giving more specific details
     */
    public void objectSelected(ObjectSelectionEvent ev);
}

