package org.eso.ohs.persistence.dao;

import java.util.List;

import org.eso.ohs.dfs.account.Title;
import org.springframework.dao.DataAccessException;
import org.springframework.orm.hibernate3.HibernateTemplate;

public class TitleDAOHibernate implements TitleDAO {
	
	private HibernateTemplate hibernateTemplate;
	
    public TitleDAOHibernate() {
    	hibernateTemplate = new HibernateTemplate();
    }
	
	
	public List getTitleList() throws DataAccessException {
		List list = hibernateTemplate.loadAll(Title.class);
		return list;
	}

	public HibernateTemplate getHibernateTemplate() {
		return hibernateTemplate;
	}

	public void setHibernateTemplate(HibernateTemplate hibernateTemplate) {
		this.hibernateTemplate = hibernateTemplate;
	}
    
}
