package org.eso.ohs.core.gui.models;

/**
 * A Document model to only permit the input of a list of
 * floating-point values.
 * 
 * <p>
 * $Id: FloatModel.java,v 1.1 2004/02/17 10:35:21 tcanavan Exp $
 */
public class FloatModel extends InputMaskModel {

    /** The regular expression describing legal buffer values */
    public final static String floatPattern_ =
	    "-?\\d*(\\.\\d*)?([eE][+-]?\\d*)?";

    /**
     * Constructor for the model.
     */
    public FloatModel() {
	super(floatPattern_);
    }

}

