package org.eso.ohs.dfs.docviewdatatrans;

import org.eso.ohs.core.docview.datatrans.ObjAdaptor;
import org.eso.ohs.dfs.EphemerisFile;


/**
 * @author tcanavan
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class EphemerisFileAdaptor extends ObjAdaptor {

    

    public EphemerisFileAdaptor() {
          super(EphemerisFile.class);
     }
     


    /**
     * @see org.eso.ohs.core.docview.datatrans.ObjectAdaptor#fromMetaLevelObject(java.lang.Object)
     */
    public String fromMetaLevelObject(Object obj) {
        EphemerisFile ephfile = (EphemerisFile)obj;
        return ephfile.getFilename();
    }

    /**
     * @see org.eso.ohs.core.docview.datatrans.ObjectAdaptor#toMetaLevelObject(java.lang.String)
     */
    public Object toMetaLevelObject(String obj) {
        // At the moment the attaching og finding charts to an OB
        // is not part of the DocView model. so there is no need to convert
        // the string representation of the finding chart details into the finding 
        // chart objects themselves.
        return null;
    }

}
