/*
 *
 * Copyright (C) 2000 European Southern Observatory 
 * License:  GNU General Public License version 2 or later
 */
package org.eso.ohs.persistence; 

import java.util.EventObject;


/** OBEvent defines an Observation Block event.
 *
 *  @version $Revision: 1.1 $  $Date: 2003/02/17 13:35:22 $
 *  @author  G.Passera, DMD/ESO, <gpassera@eso.org>
 */
public class MaskEvent extends EventObject {

    private String status_;
    
    /* Default constructor. */
    public MaskEvent(Object source,String status) {
        super(source);
        this.status_  = status;
    }

    public String getValue() {
        return status_; 
    }
   
}


