/*
 * @(#)PilListener.java     $Revision: 1.3 $  $Date: 2003/07/03 08:49:49 $
 *
 * Copyright (C) 2000 European Southern Observatory 
 * License:  GNU General Public License version 2 or later
 */
package org.eso.ohs.persistence;

import java.util.EventListener;


/** A listener that is notified when a OBEvent is arrived
 * 
 *  @version $Id: MaskStatusListener.java,v 1.3 2003/07/03 08:49:49 ddorigo Exp $
 *  @author  G.Passera, DMD/ESO, <gpassera@eso.org>
 */

public interface MaskStatusListener extends EventListener {

    /** Called whenever a new file has arrived
     *
     *  @param e   Event that characterizes the arrive 
     */
    public void maskPropertyChange(MaskEvent e);

  
}

